# rawproxy.mak
# Created by IBM WorkFrame/2 MakeMake at 12:39:01 on 23 Jan 2000
#
# The actions included in this make file are:
#  Compile::C++ Compiler
#  Link::Linker

.SUFFIXES:

.SUFFIXES: \
    .c .obj 

.c.obj:
    @echo " Compile::C++ Compiler "
    icc.exe /Tdc /Sp1 /Ss /Q /Ti- /Gm /G4 /Gs /Gi /Gu /C %s

{.}.c.obj:
    @echo " Compile::C++ Compiler "
    icc.exe /Tdc /Sp1 /Ss /Q /Ti- /Gm /G4 /Gs /Gi /Gu /C %s

all: \
    .\rawproxy.exe

.\rawproxy.exe: \
    .\server.obj \
    .\toproxy.obj \
    .\closecon.obj \
    .\events.obj \
    .\locale.obj \
    .\menu.obj \
    .\newconn.obj \
    .\newreq.obj \
    .\quit.obj \
    .\rawpdef.obj \
    .\rawpmain.obj \
    .\receive.obj \
    .\send.obj \
    {$(LIB)}so32dll.lib \
    {$(LIB)}tcp32dll.lib \
    {$(LIB)}rawproxy.def
    @echo " Link::Linker "
    icc.exe @<<
     /Q /B"/nop"
     /Ferawproxy.exe 
     so32dll.lib 
     tcp32dll.lib 
     rawproxy.def
     .\server.obj
     .\toproxy.obj
     .\closecon.obj
     .\events.obj
     .\locale.obj
     .\menu.obj
     .\newconn.obj
     .\newreq.obj
     .\quit.obj
     .\rawpdef.obj
     .\rawpmain.obj
     .\receive.obj
     .\send.obj
<<

.\server.obj: \
    .\server.c \
    {.;$(INCLUDE);}rawproxy.h

.\send.obj: \
    .\send.c \
    {.;$(INCLUDE);}rawproxy.h

.\receive.obj: \
    .\receive.c \
    {.;$(INCLUDE);}rawproxy.h

.\rawpmain.obj: \
    .\rawpmain.c \
    {.;$(INCLUDE);}rawproxy.h

.\rawpdef.obj: \
    .\rawpdef.c \
    {.;$(INCLUDE);}rawproxy.h

.\quit.obj: \
    .\quit.c \
    {.;$(INCLUDE);}rawproxy.h

.\newreq.obj: \
    .\newreq.c \
    {.;$(INCLUDE);}rawproxy.h

.\newconn.obj: \
    .\newconn.c \
    {.;$(INCLUDE);}rawproxy.h

.\menu.obj: \
    .\menu.c \
    {.;$(INCLUDE);}rawproxy.h

.\locale.obj: \
    .\locale.c \
    {.;$(INCLUDE);}rawproxy.h

.\events.obj: \
    .\events.c \
    {.;$(INCLUDE);}rawproxy.h

.\closecon.obj: \
    .\closecon.c \
    {.;$(INCLUDE);}rawproxy.h

.\toproxy.obj: \
    .\toproxy.c \
    {.;$(INCLUDE);}rawproxy.h
