#include "rawproxy.h"


int  sendBuffer ( Sockets *socks, USHORT direction )
{
       register int res, count;
       int    outSocket;
       UCHAR *buf;
       int   *psize;

if ( direction == _FROM_PROXY )
    {
    outSocket = socks->inpSocket;
    buf = socks->inpBuf;
    psize = &socks->inpSize;
    }
else
    {
    outSocket = socks->proxySocket;
    buf = socks->outBuf;
    psize = &socks->outSize;
    }                           // try to sent while have got any data
for ( count = 0; checkEvent(socks->flagExit) == FALSE && count < *psize; )
    {
    res = send ( outSocket, buf, *psize, 0 );
    if ( res < 0 )
        {
        if ( ERRNO != S_EINTR ) // or even error
            return ( -1 );
        else
            res = 0;
        }
    count = count + res;        // calculate, how received
    }
return ( *psize );
}
